'use strict';

var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

var _g, _defs;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgTrophy = function SvgTrophy(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 80 80",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React__namespace.createElement("title", {
    id: titleId
  }, title) : null, _g || (_g = /*#__PURE__*/React__namespace.createElement("g", {
    clipPath: "url(#Trophy_svg__a)"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "currentColor",
    d: "M61.892 5.871a65 65 0 0 0 .09-3.318V2h-43.92v.553c0 1.106 0 2.212.09 3.318H9v.553C9 22.817 16.92 34.31 31.175 38.8a44 44 0 0 0 3.462 3.462c-.09 13.494-7.546 14.38-7.863 14.446h-.509v4.424H23.21V78h33.591V61.198h-3.055v-4.424h-.509c-.317 0-7.784-.951-7.92-14.435a46 46 0 0 0 3.508-3.572C63.125 34.342 71 22.817 71 6.424v-.553zM10.177 6.977h8.112c.665 10.946 4.665 21.447 11.483 30.153-12.524-4.646-19.47-15.265-19.63-30.153zM55.67 76.894H24.342v-14.59H55.67zM27.385 61.198v-3.395h25.23v3.395zm22.786-4.49H29.806c2.478-1.505 5.657-5.1 5.906-13.506a40 40 0 0 0 3.96 2.931l.317.2.317-.2a40 40 0 0 0 3.982-2.942c.272 8.417 3.417 12.001 5.895 13.517zM39.99 45.005C27.272 36.643 19.34 20.671 19.183 3.128h41.646c-.17 17.543-8.1 33.515-20.818 41.877zm10.239-7.875c6.839-8.7 10.858-19.201 11.54-30.153h8.112c-.17 14.889-7.105 25.507-19.63 30.153z"
  }))), _defs || (_defs = /*#__PURE__*/React__namespace.createElement("defs", null, /*#__PURE__*/React__namespace.createElement("clipPath", {
    id: "Trophy_svg__a"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    d: "M0 0h80v80H0z"
  })))));
};

exports.ReactComponent = SvgTrophy;
